/**
 * ----------------------------------------
 * animation shadow-inset-center
 * ----------------------------------------
 */

.shadow-inset-center {
  -webkit-animation: shadow-inset-center 6s cubic-bezier(0.25, 0.46, 0.45, 0.94)
    both;
  animation: shadow-inset-center 6s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

@-webkit-keyframes shadow-inset-center {
  0% {
    -webkit-box-shadow: inset 0 0 0 0 rgba(0, 0, 0, 0);
    box-shadow: inset 0 0 0 0 rgba(0, 0, 0, 0);
  }
  100% {
    -webkit-box-shadow: inset 0 0 8px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0 0 8px 0px rgba(0, 0, 0, 0.5);
  }
}

@keyframes shadow-inset-center {
  0% {
    -webkit-box-shadow: inset 0 0 0 0 rgba(0, 0, 0, 0);
    box-shadow: inset 0 0 0 0 rgba(0, 0, 0, 0);
  }
  100% {
    -webkit-box-shadow: inset 0 0 8px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0 0 8px 0px rgba(0, 0, 0, 0.5);
  }
}

/**
 * ----------------------------------------
 * animation slide-top
 * ----------------------------------------
 */

.slide-top {
  -webkit-animation: slide-top 0.8s calc(var(--animation-order) * 200ms)
    cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  animation: slide-top 0.8s calc(var(--animation-order) * 200ms)
    cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

@-webkit-keyframes slide-top {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(-100px);
    transform: translateY(-100px);
    opacity: 1;
  }
}

@keyframes slide-top {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateY(-100px);
    transform: translateY(-100px);
    opacity: 1;
  }
}
